Debian Bug report logs - #527397
[approx] Please add IPv6 support by default (inetd.conf change)

version graph

Package: approx; Maintainer for approx is Eric Cooper <ecc@cmu.edu>; Source for approx is src:approx.

Reported by: Roman Mamedov <roman@rm.pp.ru>

Date: Thu, 7 May 2009 14:48:02 UTC

Severity: wishlist

Tags: ipv6, jessie, patch, sid, squeeze, wheezy

Found in version approx/4.0-1

Fix blocked by 24043: netbase: update-inetd can only add one entry for a service

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Eric Cooper <ecc@cmu.edu>:
Bug#527397; Package approx. (Thu, 07 May 2009 14:48:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Roman Mamedov <roman@rm.pp.ru>:
New Bug report received and forwarded. Copy sent to Eric Cooper <ecc@cmu.edu>. (Thu, 07 May 2009 14:48:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Roman Mamedov <roman@rm.pp.ru>
To: submit@bugs.debian.org
Subject: [approx] Please add IPv6 support by default (inetd.conf change)
Date: Thu, 7 May 2009 20:45:55 +0600
[Message part 1 (text/plain, inline)]
Package: approx
Version: 4.0-1
Severity: wishlist
Tags: patch

Hello.

I have discovered that the current default configuration of inetd set by approx makes it only support IPv4, not IPv6.

Only this line existed in my openbsd-inetd config file (don't remember if that's the default port or I changed it):

  9998    stream  tcp     nowait  approx  /usr/sbin/approx

To add IPv6 support, it was enough to also add another line to inetd.conf:

  9998    stream  tcp6     nowait  approx  /usr/sbin/approx

Both lines can (and must) be present in the file, if both IPv6 and IPv4 support is desired.


--- System information. ---
Architecture: amd64
Kernel:       Linux 2.6.28.9-libre2-rm

Debian Release: 5.0.1
  500 stable          apt-proxy.i4 
  200 lenny-backports apt-proxy.i4 

--- Package information. ---
Depends               (Version) | Installed
===============================-+-===========
libc6                  (>= 2.3) | 2.7-18
libpcre3               (>= 7.7) | 7.8-2
debconf               (>= 0.5)  | 1.5.24
 OR debconf-2.0                 | 
lsb-base               (>= 3.2) | 3.2-20
adduser                         | 3.110
bzip2                           | 1.0.5-1
curl                            | 7.18.2-8lenny2
openbsd-inetd                   | 0.20080125-2
 OR inet-superserver            | 
update-inetd                    | 4.31

-- 
With respect,
Roman
[signature.asc (application/pgp-signature, attachment)]

Added tag(s) ipv6. Request was from Simon Paillard <simon.paillard@resel.enst-bretagne.fr> to control@bugs.debian.org. (Sat, 16 Jan 2010 19:48:20 GMT) Full text and rfc822 format available.

Severity set to 'serious' from 'wishlist' Request was from Clint Adams <schizo@debian.org> to control@bugs.debian.org. (Tue, 23 Mar 2010 01:03:44 GMT) Full text and rfc822 format available.

Added tag(s) sid and squeeze. Request was from Gerfried Fuchs <rhonda@debian.at> to control@bugs.debian.org. (Tue, 23 Mar 2010 07:51:12 GMT) Full text and rfc822 format available.

Severity set to 'wishlist' from 'serious' Request was from Gerfried Fuchs <rhonda@deb.at> to control@bugs.debian.org. (Tue, 23 Mar 2010 08:30:46 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Eric Cooper <ecc@cmu.edu>:
Bug#527397; Package approx. (Thu, 20 Jan 2011 10:51:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthew Palmer <mpalmer@debian.org>:
Extra info received and forwarded to list. Copy sent to Eric Cooper <ecc@cmu.edu>. (Thu, 20 Jan 2011 10:51:06 GMT) Full text and rfc822 format available.

Message #18 received at 527397@bugs.debian.org (full text, mbox):

From: Matthew Palmer <mpalmer@debian.org>
To: 527397@bugs.debian.org
Subject: IPv6 support in default inetd config
Date: Thu, 20 Jan 2011 21:46:43 +1100
Is there any reason this patch hasn't been applied?  I can confirm that the
described change does make approx accessable via IPv6.

- Matt




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#527397; Package approx. (Thu, 20 Jan 2011 14:27:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Eric Cooper <ecc@cmu.edu>:
Extra info received and forwarded to list. (Thu, 20 Jan 2011 14:27:07 GMT) Full text and rfc822 format available.

Message #23 received at 527397@bugs.debian.org (full text, mbox):

From: Eric Cooper <ecc@cmu.edu>
To: Matthew Palmer <mpalmer@debian.org>, 527397@bugs.debian.org
Subject: Re: Bug#527397: IPv6 support in default inetd config
Date: Thu, 20 Jan 2011 09:06:09 -0500
> Is there any reason this patch hasn't been applied?  I can confirm that the
> described change does make approx accessable via IPv6.

Sorry, just inertia.  I also haven't found any other packages that
enable IPv6 entries in inetd.conf -- if you can point me at any, it
might help me avoid doing something stupid.

-- 
Eric Cooper             e c c @ c m u . e d u




Information forwarded to debian-bugs-dist@lists.debian.org, Eric Cooper <ecc@cmu.edu>:
Bug#527397; Package approx. (Thu, 20 Jan 2011 15:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthew Palmer <mpalmer@debian.org>:
Extra info received and forwarded to list. Copy sent to Eric Cooper <ecc@cmu.edu>. (Thu, 20 Jan 2011 15:33:03 GMT) Full text and rfc822 format available.

Message #28 received at 527397@bugs.debian.org (full text, mbox):

From: Matthew Palmer <mpalmer@debian.org>
To: 527397@bugs.debian.org
Subject: Re: Bug#527397: IPv6 support in default inetd config
Date: Fri, 21 Jan 2011 02:30:02 +1100
On Thu, Jan 20, 2011 at 09:06:09AM -0500, Eric Cooper wrote:
> > Is there any reason this patch hasn't been applied?  I can confirm that the
> > described change does make approx accessable via IPv6.
> 
> Sorry, just inertia.  I also haven't found any other packages that
> enable IPv6 entries in inetd.conf -- if you can point me at any, it
> might help me avoid doing something stupid.

I can't say I've really looked.  However, copying the existing line and
changing 'tcp' to 'tcp6' worked beautifully for me.  It's pretty easy to
test, too: restart inetd, and if inetd's now listening on :::9999 as well as
0.0.0.0:9999, then all is well.

Or, in patch form:

diff -urN approx-4.5.orig/debian/approx.postinst approx-4.5/debian/approx.postinst
--- approx-4.5.orig/debian/approx.postinst	2010-08-18 23:13:56.000000000 +1000
+++ approx-4.5/debian/approx.postinst	2011-01-21 02:27:08.260000003 +1100
@@ -17,6 +17,7 @@
 db_get approx/port
 port="$RET"
 update-inetd --add "$port\t\tstream\ttcp\tnowait\tapprox\t/usr/sbin/approx /usr/sbin/approx"
+update-inetd --add "$port\t\tstream\ttcp6\tnowait\tapprox\t/usr/sbin/approx /usr/sbin/approx"
 
 if dpkg --compare-versions "$2" lt "4.0"; then
     if [ -f /etc/default/approx ]; then


- Matt




Added tag(s) wheezy. Request was from Kurt Roeckx <kurt@roeckx.be> to control@bugs.debian.org. (Wed, 16 Feb 2011 19:03:22 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#527397; Package approx. (Thu, 10 Mar 2011 16:15:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Eric Cooper <ecc@cmu.edu>:
Extra info received and forwarded to list. (Thu, 10 Mar 2011 16:15:03 GMT) Full text and rfc822 format available.

Message #35 received at 527397@bugs.debian.org (full text, mbox):

From: Eric Cooper <ecc@cmu.edu>
To: Matthew Palmer <mpalmer@debian.org>, 527397@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#527397: IPv6 support in default inetd config
Date: Thu, 10 Mar 2011 11:11:56 -0500
package approx
block 527397 on 24043
thanks

On Fri, Jan 21, 2011 at 02:30:02AM +1100, Matthew Palmer wrote:
> Or, in patch form:
> 
> diff -urN approx-4.5.orig/debian/approx.postinst approx-4.5/debian/approx.postinst
> --- approx-4.5.orig/debian/approx.postinst	2010-08-18 23:13:56.000000000 +1000
> +++ approx-4.5/debian/approx.postinst	2011-01-21 02:27:08.260000003 +1100
> @@ -17,6 +17,7 @@
>  db_get approx/port
>  port="$RET"
>  update-inetd --add "$port\t\tstream\ttcp\tnowait\tapprox\t/usr/sbin/approx /usr/sbin/approx"
> +update-inetd --add "$port\t\tstream\ttcp6\tnowait\tapprox\t/usr/sbin/approx /usr/sbin/approx"
>  
>  if dpkg --compare-versions "$2" lt "4.0"; then
>      if [ -f /etc/default/approx ]; then
> 

It turns out that this patch doesn't actually work, due to a
long-standing bug in update-inetd.

-- 
Eric Cooper             e c c @ c m u . e d u




Added blocking bug(s) of 527397: 24043 Request was from Eric Cooper <ecc@cmu.edu> to control@bugs.debian.org. (Thu, 10 Mar 2011 16:48:14 GMT) Full text and rfc822 format available.

Added tag(s) jessie. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Thu, 18 Apr 2013 17:39:56 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 07:19:01 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.